#include<bits/stdc++.h>

using namespace std;
void np(int n)
{
	int b[10000],i,j;
	i=0;
	while(n>0)
	{
		b[i]=n%2;
		n=n/2;
		i++;
	}
	for(j=i-1;j>=0;j--)
	{
		cout<<b[j];
	}
}
 int main()
 {
 	ifstream f1("DOINP.INP");
 	ofstream f2("DOINP.OUT");
 	int a[10000],n,i;
 	f1>>n;
 	for(i=0;i<n;i++)
 	{
 		f1>>a[i];
	 }
	 for(i=0;i<n;i++)
	 {
	 	np(a[i]);
	 }
	 f1.close();
	 f2.close();
 }
